<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="continuous_mode" type="bool" writable="true" default="true"
    description="Enables the insertion of a timestamp before each data message."/>
  <property name="timestamp_pending" type="bool" writable="true" volatile="true" default="true"
    description="Signals that a timestamp is to be inserted before a data message."/>
  <property name="leap_seconds" type="uchar" writable="true" default="0"
    description="Current number of leap seconds between UTC and GPS time."/>
  <property name="port_width" type="uchar" initial="true" writable="false" default="16"
    description="Defines the input data width in bits."/>
  <port name="input" producer="false" numberofopcodes="6" defaultbuffersize="16384"/>
  <port name="output" producer="true" numberofopcodes="6" defaultbuffersize="16384"/>
</componentspec>
